import rospy

from .dataset_interface import DataSet
from .resourceset_interface import ResourceSet
from .skillsset_interface import SkillsSet

class SkillsetInterface:
    """Skillset Interface for skillset {{ skillset.name }}
    """

    def __init__(self, **kwargs):
        self.__name = '{{ skillset.name }}'
        self.__data = DataSet(**kwargs)
        self.__resources = ResourceSet(**kwargs)
        self.__skills = SkillsSet(**kwargs)

    @property
    def name(self):
        return self.__name

    @property
    def data(self):
        return self.__data

    @property
    def resources(self):
        return self.__resources

    @property
    def skills(self):
        return self.__skills
